Page MenuHomePhabricator

Structured Data on Wikimedia Commons track
Closed, ResolvedPublic

Description

SDC General is one of the focus areas for the Wikimedia Hackathon 2018 in Barcelona. Join us!

https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2018/Structured_Commons

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 29 2018, 2:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Abbe98 added a subscriber: Abbe98.Apr 1 2018, 10:02 AM
bd808 awarded a token.Apr 6 2018, 2:33 AM
ESM added a subscriber: ESM.Apr 9 2018, 11:44 AM
SandraF_WMF moved this task from Project to Session on the Wikimedia-Hackathon-2018 board.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Apr 23 2018, 7:19 AM

Some ideas I could share with other participants in the Hackaton:

Some experiments to create an MT system to translate captions of images in Commons from Spanish to Basque and from Basque to Spanish, could be adapted to other language pairs.
1. Collecting all the images with  captions in both Basque and  Spanish available in Wikimedia Commons. (done for Spanish-Basque)
2. Adapting a general purpose NMT system to the domain of  image captions..  (done for Spanish-Basque)
3. Creating a service to help in the translation of captions using the NMT service.  (to be done, I need help)
4. Semi-automatic tagging of each photo with one of those 11 different kinds of image (Person, HumanGroup, Place/Location, Institution, Building, AnimalPlant, Event/sport, History, Map/Icon, Culture, and Others). I think that this information could be useful to increase translation quality. As Common's categories are not reliable, iwe are  we extracting this information from Wikipedia and Wikidata. (in development)

If successful, this experiments could create new tools to help to supply Commons contents in more languages.
Keegan triaged this task as Normal priority.May 9 2018, 7:55 PM

Hello! Can a representative from the structured data on commons sprint join us for the mentor / newcomer matching session?
This would just be to help make sure newcomers understand that they can work on this as an option.
Starts at 14:30 on Friday in Sessions principals (Q10003)
@Halfak for awareness :)

Abit added a comment.May 17 2018, 2:34 PM

@Rfarrand Sure! I can join. Will see if a developer can come as well.

Lahi added a subscriber: Lahi.May 17 2018, 2:46 PM

Thank you very much for your hard work at WMHack! Please make sure to close this task once everything has been wrapped up! :)

SandraF_WMF closed this task as Resolved.May 28 2018, 2:08 PM

Apart from a few individual follow ups, I think we can hereby close this task! It was great to see everyone and to have many conversations around tooling and data modelling!